跳到正文
LumiPath API
接口参考评论

某个账号连接的评论收件箱(分页、聚合)。

GET
/api/v1/comments

鉴权

ApiKeyAuth
header鉴权Bearer <lumi>

Authorization: Bearer lumi_xxx。用户 API Key 拥有完整权限,自主运行的 agent 可以发布视频、取消任务。每个账号只有一把 Key,如需隔离请为 agent 使用单独的 LumiPath 账号。

Query 参数

connectionId*string
videoId?string
sinceId?string

仅 X:返回推文 id 大于这个值的回复(用上一次调用的 newestId)。

Match^\d{1,19}$
untilId?string

仅 X:返回推文 id 小于这个值的回复(用上一次的 oldestId 往前翻页)。

Match^\d{1,19}$
startTime?string

仅 X:ISO 8601 时间下限,还没有 sinceId 时使用,默认 7 天前。

格式date-time
page?integer
范围1 <= value
默认值1
limit?integer
范围1 <= value <= 100
默认值10

响应体

成功

application/json
  1. response
success*true
Value intrue
data*
请求示例
curl -X GET 'https://app.lumipath.cn/api/v1/comments?connectionId=string'
响应示例
{  "success": true,  "data": {    "comments": [      {        "id": "string",        "platform": "string",        "author": "string",        "username": "string",        "authorAvatar": "string",        "content": "string",        "originalLanguage": "string",        "accountId": "string",        "timestamp": "2019-08-24T14:15:22Z",        "sentiment": "positive",        "replyStatus": "pending",        "likes": 0,        "isPinned": true,        "videoTitle": "string",        "videoUrl": "string",        "videoId": "string",        "translatedContent": "string",        "repliesCount": 0,        "replies": [          {}        ]      }    ],    "pagination": {      "total": 0,      "page": 0,      "limit": 0,      "totalPages": 0    },    "newestId": "string",    "hasMore": true,    "oldestId": "string",    "skipped": "NO_RECENT_X_VIDEO"  }}